gslbdomain_gslbvserver_binding
Binding object showing the gslbvserver that can be bound to gslbdomain.
Properties
(click to see Operations )
| Name | Data Type | Permissions | Description |
|---|---|---|---|
| name | <String> | Read-write | Name of the Domain.
Minimum length = 1
|
| vservername | <String> | Read-write | . |
| sitename | <String> | Read-only | Name of the site to which the service belongs. |
| persistmask | <String> | Read-only | The optional IPv4 network mask applied to IPv4 addresses to establish source IP address based persistence.
Minimum length = 1
|
| persistenceid | <Integer> | Read-only | Persistence id of the gslb vserver. |
| dnsrecordtype | <String> | Read-only | The IP type for this GSLB vserver.
Possible values = A, AAAA, CNAME, NAPTR
|
| v6netmasklen | <Integer> | Read-only | Number of bits to consider, in an IPv6 source IP address, for creating the hash that is required by the SOURCEIPHASH load balancing method.
Default value: 128
Minimum value = 1
Maximum value = 128
|
| dynamicweight | <String> | Read-only | Dynamic weight method of the vserver.
Default value: DISABLED
Possible values = SERVICECOUNT, SERVICEWEIGHT, DISABLED
|
| customheaders | <String> | Read-only | The string that is sent to the service. Applicable to HTTP ,HTTP-ECV and RTSP monitor types. |
| statechangetimesec | <String> | Read-only | Time since last state change. |
| persistencetype | <String> | Read-only | Indicates if persistence is set on the gslb vserver.
Possible values = SOURCEIP, NONE
|
| edr | <String> | Read-only | Send clients an empty DNS response when the GSLB virtual server is DOWN.
Default value: DISABLED
Possible values = ENABLED, DISABLED
|
| lbmethod | <String> | Read-only | The load balancing method set for the virtual server.
Possible values = ROUNDROBIN, LEASTCONNECTION, LEASTRESPONSETIME, SOURCEIPHASH, LEASTBANDWIDTH, LEASTPACKETS, STATICPROXIMITY, RTT, CUSTOMLOAD, API
|
| state | <String> | Read-only | The state of the vserver.
Possible values = UP, DOWN, UNKNOWN, BUSY, OUT OF SERVICE, GOING OUT OF SERVICE, DOWN WHEN GOING OUT OF SERVICE, NS_EMPTY_STR, Unknown, DISABLED
|
| netmask | <String> | Read-only | Netmask.
Minimum length = 1
|
| cip | <String> | Read-only | Indicates if Client IP option is enabled.
Possible values = ENABLED, DISABLED
|
| siteprefix | <String> | Read-only | The site prefix string. |
| v6persistmasklen | <Integer> | Read-only | Number of bits to consider in an IPv6 source IP address when creating source IP address based persistence sessions.
Default value: 128
Minimum value = 1
Maximum value = 128
|
| sitepersistence | <String> | Read-only | Indicates the type of cookie persistence set.
Possible values = ConnectionProxy, HTTPRedirect, NONE
|
| mir | <String> | Read-only | .
Default value: DISABLED
Possible values = ENABLED, DISABLED
|
| servicetype | <String> | Read-only | The type GSLB service.
Possible values = HTTP, FTP, TCP, UDP, SSL, SSL_BRIDGE, SSL_TCP, NNTP, ANY, SIP_UDP, SIP_TCP, SIP_SSL, RADIUS, RDP, RTSP, MYSQL, MSSQL, ORACLE
|
| backuplbmethod | <String> | Read-only | Indicates the backup method in case the primary fails.
Possible values = ROUNDROBIN, LEASTCONNECTION, LEASTRESPONSETIME, SOURCEIPHASH, LEASTBANDWIDTH, LEASTPACKETS, STATICPROXIMITY, RTT, CUSTOMLOAD, API
|
| __count | <Double> | Read-only | count parameter |
Operations
(click to see Properties )
- GET
- GET (ALL)
- COUNT
Some options that you can use for each operations:
-
Getting warnings in response: NITRO allows you to get warnings in an operation by specifying the 'warning' query parameter as 'yes'. For example, to get warnings while connecting to the NetScaler appliance, the URL is as follows:http:// <netscaler-ip-address> /nitro/v1/config/login?warning=yesIf any, the warnings are displayed in the response payload with the HTTP code '209 X-NITRO-WARNING'.
-
Authenticated access for individual NITRO operations: NITRO allows you to logon to the NetScaler appliance to perform individual operations. You can use this option instead of creating a NITRO session (using the login object) and then using that session to perform all operations,To do this, you must specify the username and password in the request header of the NITRO request as follows:X-NITRO-USER: <username>X-NITRO-PASS: <password>Note: In such cases, make sure that the request header DOES not include the following:Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
*Note: * Mandatory parameters are marked in red and placeholder content is marked in green
get
URL: http:// <netscaler-ip-address> /nitro/v1/config/gslbdomain_gslbvserver_binding/ name_value<String> Query-parameters: filter http:// <netscaler-ip-address> /nitro/v1/config/gslbdomain_gslbvserver_binding/ name_value<String> ? filter=property-name1:property-value1,property-name2:property-value2
Use this query-parameter to get the filtered set of gslbdomain_gslbvserver_binding resources configured on NetScaler.Filtering can be done on any of the properties of the resource.
pagination http:// <netscaler-ip-address> /nitro/v1/config/gslbdomain_gslbvserver_binding/ name_value<String> ? pagesize=#no;pageno=#no
Use this query-parameter to get the gslbdomain_gslbvserver_binding resources in chunks.
HTTP Method: GET
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Accept:application/json
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
Response Header:
Content-Type:application/json
Response Payload:
{ "gslbdomain_gslbvserver_binding": [ {
"name":<String_value>,
"vservername":<String_value>,
"sitename":<String_value>,
"persistmask":<String_value>,
"persistenceid":<Integer_value>,
"dnsrecordtype":<String_value>,
"v6netmasklen":<Integer_value>,
"dynamicweight":<String_value>,
"customheaders":<String_value>,
"statechangetimesec":<String_value>,
"persistencetype":<String_value>,
"edr":<String_value>,
"lbmethod":<String_value>,
"state":<String_value>,
"netmask":<String_value>,
"cip":<String_value>,
"siteprefix":<String_value>,
"v6persistmasklen":<Integer_value>,
"sitepersistence":<String_value>,
"mir":<String_value>,
"servicetype":<String_value>,
"backuplbmethod":<String_value>
}]}
get (all)
URL: http:// <netscaler-ip-address> /nitro/v1/config/gslbdomain_gslbvserver_binding HTTP Method: GET
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Accept:application/json
Query-parameters: bulkbindings http:// <netscaler-ip-address> /nitro/v1/config/gslbdomain_gslbvserver_binding? bulkbindings=yes
NITRO allows you to fetch bindings in bulk.
Note: get (all) method can be used only in conjuction with bulkbindings query parameter.
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
Response Header:
Content-Type:application/json
Response Payload:
{ "gslbdomain_gslbvserver_binding": [ {
"name":<String_value>,
"vservername":<String_value>,
"sitename":<String_value>,
"persistmask":<String_value>,
"persistenceid":<Integer_value>,
"dnsrecordtype":<String_value>,
"v6netmasklen":<Integer_value>,
"dynamicweight":<String_value>,
"customheaders":<String_value>,
"statechangetimesec":<String_value>,
"persistencetype":<String_value>,
"edr":<String_value>,
"lbmethod":<String_value>,
"state":<String_value>,
"netmask":<String_value>,
"cip":<String_value>,
"siteprefix":<String_value>,
"v6persistmasklen":<Integer_value>,
"sitepersistence":<String_value>,
"mir":<String_value>,
"servicetype":<String_value>,
"backuplbmethod":<String_value>
}]}
count
URL: http:// <netscaler-ip-address> /nitro/v1/config/gslbdomain_gslbvserver_binding/ name_value<String> ? count=yes HTTP Method: GET
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Accept:application/json
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
Response Header:
Content-Type:application/json
Response Payload:
{"gslbdomain_gslbvserver_binding": [ { "__count": "#no"} ] }